Bug 1795950 - pyparted fails to build with gcc 10: multiple definition of symbols [NEEDINFO]
Summary: pyparted fails to build with gcc 10: multiple definition of symbols
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pyparted
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-29 10:05 UTC by Miro Hrončok
Modified: 2020-03-09 17:35 UTC (History)
6 users (show)

Fixed In Version: pyparted-3.11.5-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 17:35:58 UTC
Type: Bug
releng: needinfo? (dcantrell)


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-29 10:05:29 UTC
pyparted fails to build with gcc 10:

...
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:38: multiple definition of `IOException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:38: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:37: multiple definition of `GeometryException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:37: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:36: multiple definition of `FileSystemException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:36: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:35: multiple definition of `DiskLabelException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:35: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:34: multiple definition of `DiskException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:34: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:33: multiple definition of `DeviceException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:33: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:32: multiple definition of `ConstraintException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:32: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:31: multiple definition of `CreateException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:31: first defined here
/usr/bin/ld: build/temp.linux-x86_64-3.9/src/pyunit.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:30: multiple definition of `AlignmentException'; build/temp.linux-x86_64-3.9/src/_pedmodule.o:/builddir/build/BUILD/pyparted-3.11.3/py3dir/include/exceptions.h:30: first defined here
collect2: error: ld returned 1 exit status
error: command 'gcc' failed with exit status 1

This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:23:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 2 Fedora Release Engineering 2020-02-16 04:28:49 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 3 Fedora Release Engineering 2020-03-01 04:27:43 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-08 04:29:47 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-03-25).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.